## python-oslo.reports 1.30.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

openstackdocstheme>=1.18.1 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7'  # BSD
sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.4'  # BSD
reno>=2.5.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
python-oslo.reports (1.30.0-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 26 Sep 2019 02:17:03 +0000

python-oslo.reports (1.30.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Sep 2019 16:56:41 -0400

python-oslo.reports (1.29.2-0ubuntu2) eoan; urgency=medium

  * d/control, d/rules, d/tests/*: Drop Python 2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 26 Aug 2019 14:48:34 -0400

=== debian/control ===
Source: python-oslo.reports
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-bandit (>= 1.1.0),
 python3-coverage (>= 4.0),
 python3-eventlet (>= 0.18.2),
 python3-greenlet (>= 0.4.10),
 python3-hacking (>= 1.1.0),
 python3-jinja2 (>= 2.10),
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-psutil (>= 3.2.2),
 python3-reno (>= 2.5.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-stestr (>= 2.0.0),
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.reports
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.reports
Homepage: https://launchpad.net/oslo

Package: python-oslo.reports-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: reports serialized in various data types - doc
 This package/module provides mechanisms for defining reports which may then
 be serialized into various data types. Each report is composed of one or more
 report sections, which contain generators which generate data models, which
 are then serialized by views.
 .
 This package contains the documentation.

Package: python3-oslo.reports
Architecture: all
Depends:
 python3-jinja2 (>= 2.10),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-psutil (>= 3.2.2),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.reports-doc,
Description: reports serialized in various data types - Python 3.x
 This package/module provides mechanisms for defining reports which may then
 be serialized into various data types. Each report is composed of one or more
 report sections, which contain generators which generate data models, which
 are then serialized by views.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.reports.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-oslo.reports-doc/usr/share/doc/python-oslo.reports-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-oslo.reports 2.0.0

=== debian/changelog ===
python-oslo.reports (2.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Drop remaining python2 Build-Depends.
  * d/rules: Add override_dh_auto_clean and override_dh_auto_build.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Mar 2020 15:59:02 -0400

python-oslo.reports (1.31.1-0ubuntu2) focal; urgency=medium

  * d/tests/python-import: Use python3 when determining module name,
    resolving autopkgtest failure.

 -- James Page <james.page@ubuntu.com>  Mon, 10 Feb 2020 11:26:27 +0000

python-oslo.reports (1.31.1-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 03 Feb 2020 10:49:49 +0000

## python-oslo.reports 2.0.1

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

openstackdocstheme>=1.18.1 # Apache-2.0
sphinx>=1.8.0,!=2.1.0 # BSD
reno>=2.5.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
python-oslo.reports (2.0.1-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 14:47:47 -0400

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,10 @@
  debhelper (>= 9),
  dh-python,
  openstack-pkg-tools,
- python-all,
- python-pbr (>= 2.0.0),
- python-setuptools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx (>= 1.8.0),
 Build-Depends-Indep:
  python3-bandit (>= 1.1.0),
  python3-coverage (>= 4.0),

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,12 @@
 
 %:
 	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+
+override_dh_auto_clean:
+	rm -rf build
+
+override_dh_auto_build:
+	echo "Do nothing..."
 
 override_dh_auto_install:
 	pkgos-dh_auto_install --no-py2

## python-oslo.reports 2.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
Jinja2>=2.10 # BSD License (3 clause)
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
psutil>=3.2.2 # BSD
six>=1.10.0 # MIT
oslo.i18n>=3.15.3 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0

=== debian/changelog ===
python-oslo.reports (2.2.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 10:02:55 +0200

python-oslo.reports (2.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 10:51:00 +0200

python-oslo.reports (2.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2020 21:30:43 +0200

python-oslo.reports (2.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 22:18:52 +0200

python-oslo.reports (2.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Apr 2020 15:44:28 +0200

python-oslo.reports (1.30.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 00:45:11 +0200

python-oslo.reports (1.30.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Added python3-sphinxcontrib.apidoc to build-depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 12 Sep 2019 09:01:33 +0200

python-oslo.reports (1.29.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 01:14:49 +0200

python-oslo.reports (1.29.2-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Mar 2019 23:46:18 +0100

=== debian/control ===
Source: python-oslo.reports
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 9),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-coverage,
 python3-eventlet,
 python3-greenlet,
 python3-hacking,
 python3-jinja2,
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-psutil,
 python3-six,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.reports
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.reports.git
Homepage: https://launchpad.net/oslo

Package: python-oslo.reports-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: reports serialized in various data types - doc
 This package/module provides mechanisms for defining reports which may then
 be serialized into various data types. Each report is composed of one or more
 report sections, which contain generators which generate data models, which
 are then serialized by views.
 .
 This package contains the documentation.

Package: python3-oslo.reports
Architecture: all
Depends:
 python3-jinja2,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-psutil,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.reports-doc,
Description: reports serialized in various data types - Python 3.x
 This package/module provides mechanisms for defining reports which may then
 be serialized into various data types. Each report is composed of one or more
 report sections, which contain generators which generate data models, which
 are then serialized by views.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.reports.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'oslo_reports\.tests\.(?!(.*test_openstack_generators\.TestOpenstackGenerators\.test_config_model.*))'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html doc/source debian/python-oslo.reports-doc/usr/share/doc/python-oslo.reports-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/oslo.reports/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-oslo.reports 2.3.0

=== debian/changelog ===
python-oslo.reports (2.3.0-0ubuntu1) impish; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 09:42:45 -0400

python-oslo.reports (2.2.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Sep 2020 12:53:07 -0400

python-oslo.reports (2.1.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 11 Jun 2020 09:40:28 -0400

=== debian/control ===
Source: python-oslo.reports
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-bandit,
 python3-coverage (>= 4.0),
 python3-eventlet (>= 0.18.2),
 python3-greenlet (>= 0.4.15),
 python3-hacking,
 python3-jinja2 (>= 2.10),
 python3-openstackdocstheme (>= 2.2.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-psutil (>= 3.2.2),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-stestr (>= 2.0.0),
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.reports
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.reports
Homepage: https://launchpad.net/oslo

Package: python-oslo.reports-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: reports serialized in various data types - doc
 This package/module provides mechanisms for defining reports which may then
 be serialized into various data types. Each report is composed of one or more
 report sections, which contain generators which generate data models, which
 are then serialized by views.
 .
 This package contains the documentation.

Package: python3-oslo.reports
Architecture: all
Depends:
 python3-jinja2 (>= 2.10),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-psutil (>= 3.2.2),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.reports-doc,
Description: reports serialized in various data types - Python 3.x
 This package/module provides mechanisms for defining reports which may then
 be serialized into various data types. Each report is composed of one or more
 report sections, which contain generators which generate data models, which
 are then serialized by views.
 .
 This package contains the Python 3.x module.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
    http://tarballs.openstack.org/oslo.reports/ oslo.reports-(\d.*)\.tar\.gz

## python-oslo.reports 2.4.0

=== requirements.txt ===
--- 
+++ 
@@ -6,6 +6,5 @@
 Jinja2>=2.10 # BSD License (3 clause)
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 psutil>=3.2.2 # BSD
-six>=1.10.0 # MIT
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0

=== debian/changelog ===
python-oslo.reports (2.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 13:55:10 +0200

python-oslo.reports (2.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Aug 2022 16:42:37 +0200

python-oslo.reports (2.3.0-3) unstable; urgency=medium

  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 08:56:04 +0100

python-oslo.reports (2.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 16:53:20 +0200

python-oslo.reports (2.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Aug 2021 15:45:20 +0200

python-oslo.reports (2.2.0-3) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 09:15:14 +0200

## python-oslo.reports 3.0.0

=== debian/changelog ===
python-oslo.reports (3.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 11:41:28 +0200

python-oslo.reports (3.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 11:15:02 +0100

## python-oslo.reports 3.1.0

=== debian/changelog ===
python-oslo.reports (3.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Aug 2023 14:46:23 +0200

python-oslo.reports (3.0.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1048972).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Aug 2023 13:06:03 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,9 @@
 	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build
+	rm -rf build .stestr *.egg-info doc/source/reference/api
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."

## python-oslo.reports 3.2.0

=== debian/changelog ===
python-oslo.reports (3.2.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Wed, 17 Jan 2024 09:59:56 +0000

python-oslo.reports (3.1.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Aug 2023 10:55:28 -0400

python-oslo.reports (3.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2023 14:20:19 -0500

python-oslo.reports (2.4.0-0ubuntu2) kinetic; urgency=medium

  * d/t/control, d/t/python-(o)stestr: Switch from ostestr to stestr.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Jun 2022 10:16:24 -0400

python-oslo.reports (2.4.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 May 2022 16:05:23 -0400

## python-oslo.reports 3.3.0

=== requirements.txt ===
pbr!=2.1.0,>=2.0.0 # Apache-2.0
Jinja2>=2.10 # BSD License (3 clause)
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
psutil>=3.2.2 # BSD
oslo.i18n>=3.15.3 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

openstackdocstheme>=2.2.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
reno>=3.1.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
python-oslo.reports (3.3.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal. 

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2024 11:42:43 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -30,10 +30,9 @@
  python3-six (>= 1.10.0),
  python3-sphinxcontrib.apidoc (>= 0.2.0),
  python3-stestr (>= 2.0.0),
-Standards-Version: 4.5.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.reports
+Standards-Version: 4.6.1
 Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.reports
-Homepage: https://launchpad.net/oslo
+Homepage: https://opendev.org/openstack/oslo.reports
 
 Package: python-oslo.reports-doc
 Section: doc

## python-oslo.reports 3.4.0

=== requirements.txt ===
pbr>=2.0.0 # Apache-2.0
Jinja2>=2.10 # BSD License (3 clause)
oslo.serialization>=2.18.0 # Apache-2.0
psutil>=3.2.2 # BSD
oslo.i18n>=3.15.3 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0

=== debian/changelog ===
python-oslo.reports (3.4.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090576).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 08:35:44 +0100

python-oslo.reports (3.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 17:58:07 +0200

python-oslo.reports (3.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 17:16:34 +0200

python-oslo.reports (3.3.0-3) unstable; urgency=medium

  * Drop the extraneous dependency on python3-six (Closes: #1070185).

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 May 2024 08:31:11 +0200

python-oslo.reports (3.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2024 16:42:30 +0200

python-oslo.reports (3.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-oslo.config as depends.
  * Removed python3-eventlet from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Feb 2024 22:35:58 +0100

python-oslo.reports (3.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 13:56:51 +0200

## python-oslo.reports 3.5.0

=== debian/changelog ===
python-oslo.reports (3.5.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/p/*: Drop, no longer needed.
  * d/control: Drop dependencies that are no longer required.

 -- James Page <james.page@ubuntu.com>  Fri, 17 Jan 2025 08:58:47 +0000

python-oslo.reports (3.4.0-0ubuntu2) oracular; urgency=medium

  * d/p/oslo.config-compat.patch: Cherry pick fix for compatibility with
    oslo.config >= 9.6.0.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2024 08:55:58 +0100

python-oslo.reports (3.4.0-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Tue, 24 Sep 2024 14:21:38 +0100

## python-oslo.reports 3.5.1

=== debian/changelog ===
python-oslo.reports (3.5.1-3~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-epoxy.debian.net>  Fri, 28 Mar 2025 09:34:33 +0000

python-oslo.reports (3.5.1-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 10:32:46 +0100

python-oslo.reports (3.5.1-2) experimental; urgency=medium

  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Feb 2025 16:30:54 +0100

python-oslo.reports (3.5.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 24 Feb 2025 17:27:33 +0100

## python-oslo.reports 3.5.1+git2025070911.b8904f1

=== debian/changelog ===
python-oslo.reports (3.5.1+git2025070911.b8904f1-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)

 -- Myles Penner <myles.penner@canonical.com>  Thu, 24 Jul 2025 16:46:51 -0400

python-oslo.reports (3.5.1-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Thu, 27 Feb 2025 12:53:03 +0000

## python-oslo.reports 3.6.0

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 pbr>=2.0.0 # Apache-2.0
 Jinja2>=2.10 # BSD License (3 clause)
 oslo.serialization>=2.18.0 # Apache-2.0

=== debian/changelog ===
python-oslo.reports (3.6.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2122726).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.

 -- Myles Penner <myles.penner@canonical.com>  Mon, 15 Sep 2025 10:39:21 -0700

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,6 @@
  python3-setuptools,
  python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
- python3-bandit,
- python3-coverage (>= 4.0),
  python3-eventlet (>= 0.18.2),
  python3-greenlet (>= 0.4.15),
  python3-hacking,
@@ -27,7 +25,6 @@
  python3-oslo.utils (>= 3.33.0),
  python3-oslotest (>= 1:3.2.0),
  python3-psutil (>= 3.2.2),
- python3-six (>= 1.10.0),
  python3-sphinxcontrib.apidoc (>= 0.2.0),
  python3-stestr (>= 2.0.0),
 Standards-Version: 4.6.1
@@ -57,7 +54,6 @@
  python3-oslo.utils (>= 3.33.0),
  python3-pbr (>= 2.0.0),
  python3-psutil (>= 3.2.2),
- python3-six (>= 1.10.0),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=oslo_reports

UPSTREAM_GIT := https://github.com/openstack/oslo.reports.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-oslo.reports-doc/usr/share/doc/python-oslo.reports-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild

override_dh_clean:
	dh_clean -O--buildsystem=pybuild
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/tests/control ===
Tests: python-import, python-stestr
Depends: @, @builddeps@
Restrictions: allow-stderr, needs-recommends

=== debian/watch ===
version=3
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
    http://tarballs.openstack.org/oslo.reports/ oslo.reports-(\d.*)\.tar\.gz

## python-oslo.reports 3.7.0

=== debian/changelog ===
python-oslo.reports (3.7.0-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update for new upstream
  * d/u/signing-key.asc: update for gazpacho
  * New upstream version 3.7.0
  * New upstream release for OpenStack Gazpacho. (LP: #2138121)

 -- Myles Penner <myles.penner@canonical.com>  Wed, 21 Jan 2026 11:11:50 -0800

=== debian/watch ===
version=4
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
http://tarballs.opendev.org/openstack/oslo.reports/ oslo[._]reports-(\d.*)\.tar\.gz
